package jp.co.nanoconnect.boundball;

import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.util.List;

import android.app.Activity;
import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

public class BoundBallActivity extends Activity {
    
	/** ZT}l[W[ */
	private SensorManager mSensorManager;

	/** Oo͗p̃^O */
	private static final String LOG_TAG = "BoundBalls";

	
	/* ActivityƂɌĂ΂郁\bh  */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    
	/* Activity\钼OɌĂ΂郁\bh */
	@Override
	protected void onResume() {
		/* SensorManager̎擾 */
		mSensorManager = (SensorManager) getSystemService(Context.SENSOR_SERVICE);
		/* [ɓڂĂZT̎擾 */
		List<Sensor> sensors = mSensorManager.getSensorList(Sensor.TYPE_ALL);
		for (Sensor s : sensors) {
			Log.d(LOG_TAG, s.getName() + " : type = " + s.getType());
			/* ZTXĩZbg */
			if (s.getType() == Sensor.TYPE_ACCELEROMETER) {
				mSensorManager.registerListener(this, s,
						SensorManager.SENSOR_DELAY_GAME);
			}
		}
		super.onResume();
	}
}